function main(self)
	self:AnimationStep()
	
    if self.State == 0 then
		self:SetImage("CUSTOM_METEOR_EXPLOS")
		self:SetAnimation("GAME_CYCLE50")
		self.Flags.AlwaysActive = true
		self.AttackRect = {-40,-40,40,40}
		self.HitFlags.Enemy = true
		self.HitFlags.Player = true
		self.BumpFlags.EnvBullet = true
		self.Damage = 15
		self.State = 1
	end
	
	if self.State == 1 then
		self.State = 2
	end
	
	if self.State == 2 and self.I == 4 then
		self.BumpFlags.EnvBullet = false
		self.State = 3
	end
	
	if self.State == 3 and self.I == 11 then
		self:Destroy()
	end
end